var dataList = {
	name:"ルートディレクトリ",
	children:[
		{name:"ファイル1" },
		{name:"ファイル2" },
		{    
			name:"フォルダA",
			children:[
				{ name:"ファイルC" },
				{ name:"ファイルD" },
				{ name:"ファイルE" },
				{ name:"フォルダB",
					children:[
						{ name:"ファイルF" },
					]
				}
			]
		}
	]
};
var svgWidth = 320;	// SVG領域の横幅
var svgHeight = 240;	// SVG領域の縦幅
var offsetY = 10;	// 全体の位置調整用
var svg = d3.select("#myGraph").append("svg")
	.attr("width", svgWidth).attr("height", svgHeight)
// ツリーレイアウト
var tree = d3.layout.tree()
	.size([320, 220])	// 描画範囲を指定
var nodes = tree.nodes(dataList);
// ツリーの線を描く
svg.selectAll("path")	// パスを対象にする
	.data(tree.links(nodes))	// リンク情報を読み込む
	.enter()
	.append("path")	// パスを生成する
	.attr("d", d3.svg.diagonal())//ノード間を絆ぐ
	.attr("fill", "none")
	.attr("stroke", "#aaa")
	.attr("stroke-width", 1)
	.attr("transform", "translate(0, "+offsetY+")")	// 全体にずらす
// ノードの先にテキストを表示（重なって表示される）
svg.selectAll("text")
	.data(nodes)
	.enter()
	.append("text")	// text要素を追加
	.attr("x", function(d){ return d.x })
	.attr("y", function(d){ return d.y+offsetY })
	.attr("text-anchor", "middle")
	.attr("font-size", 9)
	.text(function(d){ return d.name })	// nameプロパティを返す
	.style("fill", "red");